Loading...
Searching...
No Matches
malloc.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Classes

struct | mallinfo

## Macros

#define | MALLOC_280_H
#define | ONLY_MSPACES
#define | NO_MALLINFO
#define | dlcalloc
#define | dlfree
#define | dlmalloc
#define | dlmemalign
#define | dlrealloc
#define | dlvalloc
#define | dlpvalloc
#define | dlmallinfo
#define | dlmallopt
#define | dlmalloc_trim
#define | dlmalloc_stats
#define | dlmalloc_usable_size
#define | dlmalloc_footprint
#define | dlindependent_calloc
#define | dlindependent_comalloc
#define | MALLINFO_FIELD_TYPE
#define | STRUCT_MALLINFO_DECLARED
#define | M_TRIM_THRESHOLD
#define | M_GRANULARITY
#define | M_MMAP_THRESHOLD
#define | dlindependent_comalloc

## Typedefs

typedef void * | mspace

## Functions

void * | dlmalloc (size_t)
void | dlfree (void *)
void * | dlcalloc (size_t, size_t)
void * | dlrealloc (void *, size_t)
void * | dlmemalign (size_t, size_t)
void * | dlvalloc (size_t)
int | dlmallopt (int, int)
| for (i=0;i< n-1;++i) pool[i] -> next=pool[i+1]
| free (pool)
*void ** | dlindependent_calloc (size_t, size_t, void **)
void * | dlpvalloc (size_t)
int | dlmalloc_trim (size_t)
size_t | dlmalloc_usable_size (void *)
mspace | create_mspace (size_t capacity, int locked)
size_t | destroy_mspace (mspace msp)
mspace | create_mspace_with_base (void *base, size_t capacity, int locked)
int | mspace_track_large_chunks (mspace msp, int enable)
void * | mspace_malloc (mspace msp, size_t bytes)
void | mspace_free (mspace msp, void *mem)
void * | mspace_realloc (mspace msp, void *mem, size_t newsize)
void * | mspace_calloc (mspace msp, size_t n_elements, size_t elem_size)
void * | mspace_memalign (mspace msp, size_t alignment, size_t bytes)
void ** | mspace_independent_calloc (mspace msp, size_t n_elements, size_t elem_size, void *chunks[])
void ** | mspace_independent_comalloc (mspace msp, size_t n_elements, size_t sizes[], void *chunks[])
size_t | mspace_footprint (mspace msp)
struct mallinfo | mspace_mallinfo (mspace msp)
size_t | mspace_usable_size (void *mem)
void | mspace_malloc_stats (mspace msp)
int | mspace_trim (mspace msp, size_t pad)
int | mspace_mallopt (int, int)
| for (i=0;i< n-1;++i) pool[i] -> next=pool[i+1]
| for (i=0;i< n-1;++i) pool[i] -> next=pool[i+1]

## Variables

struct Node * | first
In general | though

## Macro Definition Documentation

## dlcalloc

#define dlcalloc

Definition at line 103 of file malloc.h.

## dlfree

#define dlfree

Definition at line 104 of file malloc.h.

## dlindependent_calloc

#define dlindependent_calloc

Definition at line 116 of file malloc.h.

## dlindependent_comalloc [1/2]

#define dlindependent_comalloc

Definition at line 117 of file malloc.h.

## dlindependent_comalloc [2/2]

#define dlindependent_comalloc

Definition at line 117 of file malloc.h.

## dlmallinfo

struct mallinfo dlmallinfo

Definition at line 110 of file malloc.h.

## dlmalloc

#define dlmalloc

Definition at line 105 of file malloc.h.

## dlmalloc_footprint

size_t dlmalloc_footprint

Definition at line 115 of file malloc.h.

## dlmalloc_stats

void dlmalloc_stats

Definition at line 113 of file malloc.h.

## dlmalloc_trim

#define dlmalloc_trim

Definition at line 112 of file malloc.h.

## dlmalloc_usable_size

#define dlmalloc_usable_size

Definition at line 114 of file malloc.h.

## dlmallopt

#define dlmallopt

Definition at line 111 of file malloc.h.

## dlmemalign

#define dlmemalign

Definition at line 106 of file malloc.h.

## dlpvalloc

#define dlpvalloc

Definition at line 109 of file malloc.h.

## dlrealloc

#define dlrealloc

Definition at line 107 of file malloc.h.

## dlvalloc

#define dlvalloc

Definition at line 108 of file malloc.h.

## M_GRANULARITY

#define M_GRANULARITY

Definition at line 241 of file malloc.h.

## M_MMAP_THRESHOLD

#define M_MMAP_THRESHOLD

Definition at line 242 of file malloc.h.

## M_TRIM_THRESHOLD

#define M_TRIM_THRESHOLD

Definition at line 240 of file malloc.h.

## MALLINFO_FIELD_TYPE

#define MALLINFO_FIELD_TYPE

Definition at line 123 of file malloc.h.

## MALLOC_280_H

#define MALLOC_280_H

Definition at line 84 of file malloc.h.

## NO_MALLINFO

#define NO_MALLINFO

Definition at line 96 of file malloc.h.

## ONLY_MSPACES

#define ONLY_MSPACES

Definition at line 93 of file malloc.h.

## STRUCT_MALLINFO_DECLARED

#define STRUCT_MALLINFO_DECLARED

Definition at line 126 of file malloc.h.

## Typedef Documentation

## mspace

typedef void* mspace

Definition at line 475 of file malloc.h.

## Function Documentation

## create_mspace()

mspace create_mspace | ( | size_t | capacity,
|  | int | locked )

## create_mspace_with_base()

mspace create_mspace_with_base | ( | void * | base,
|  | size_t | capacity,
|  | int | locked )

## destroy_mspace()

size_t destroy_mspace | ( | mspace | msp | ) |

## dlcalloc()

void * dlcalloc | ( | size_t | ,
|  | size_t | )

## dlfree()

void dlfree | ( | void * |  | ) |

## dlindependent_calloc()

*void ** dlindependent_calloc | ( | size_t | ,
|  | size_t | ,
|  | void ** | )

## dlmalloc()

void * dlmalloc | ( | size_t |  | ) |

## dlmalloc_trim()

int dlmalloc_trim | ( | size_t |  | ) |

## dlmalloc_usable_size()

size_t dlmalloc_usable_size | ( | void * |  | ) |

## dlmallopt()

int dlmallopt | ( | int | ,
|  | int | )

## dlmemalign()

void * dlmemalign | ( | size_t | ,
|  | size_t | )

## dlpvalloc()

void * dlpvalloc | ( | size_t |  | ) |

References free().

## dlrealloc()

void * dlrealloc | ( | void * | ,
|  | size_t | )

## dlvalloc()

void * dlvalloc | ( | size_t |  | ) |

## for() [1/3]

for | ( |  | ) | ->next=pool[i+1]

## for() [2/3]

for | ( |  | ) | ->next=pool[i+1]

## for() [3/3]

for | ( |  | ) |

## free()

free | ( | pool |  | ) |

References first.

Referenced by casacore::casacore_allocator< TOther >::deallocate(), dlpvalloc(), and casacore::MultiFileBuffer::~MultiFileBuffer().

## mspace_calloc()

void * mspace_calloc | ( | mspace | msp,
|  | size_t | n_elements,
|  | size_t | elem_size )

## mspace_footprint()

size_t mspace_footprint | ( | mspace | msp | ) |

## mspace_free()

void mspace_free | ( | mspace | msp,
|  | void * | mem )

## mspace_independent_calloc()

void ** mspace_independent_calloc | ( | mspace | msp,
|  | size_t | n_elements,
|  | size_t | elem_size,
|  | void * | chunks[] )

## mspace_independent_comalloc()

void ** mspace_independent_comalloc | ( | mspace | msp,
|  | size_t | n_elements,
|  | size_t | sizes[],
|  | void * | chunks[] )

## mspace_mallinfo()

struct mallinfo mspace_mallinfo | ( | mspace | msp | ) |

## mspace_malloc()

void * mspace_malloc | ( | mspace | msp,
|  | size_t | bytes )

## mspace_malloc_stats()

void mspace_malloc_stats | ( | mspace | msp | ) |

## mspace_mallopt()

int mspace_mallopt | ( | int | ,
|  | int | )

## mspace_memalign()

void * mspace_memalign | ( | mspace | msp,
|  | size_t | alignment,
|  | size_t | bytes )

## mspace_realloc()

void * mspace_realloc | ( | mspace | msp,
|  | void * | mem,
|  | size_t | newsize )

## mspace_track_large_chunks()

int mspace_track_large_chunks | ( | mspace | msp,
|  | int | enable )

## mspace_trim()

int mspace_trim | ( | mspace | msp,
|  | size_t | pad )

## mspace_usable_size()

size_t mspace_usable_size | ( | void * | mem | ) |

## Variable Documentation

## first

return first

Definition at line 328 of file malloc.h.

Referenced by casacore::String::_substr(), casacore::accumulateFalse(), casacore::accumulateTrue(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::addData(), casacore::String::append(), ao::uvector< Tp, Alloc >::assign(), casacore::String::assign(), ao::uvector< Tp, Alloc >::assign_from_range(), ao::uvector< Tp, Alloc >::assign_from_range(), casacore::Slice::checkSlices(), ao::uvector< Tp, Alloc >::construct_from_range(), ao::uvector< Tp, Alloc >::construct_from_range(), ao::uvector< Tp, Alloc >::erase(), casacore::String::erase(), free(), casacore::ReadAsciiTable::getArray(), casacore::ReadAsciiTable::getValue(), casacore::ReadAsciiTable::handleArray(), casacore::ReadAsciiTable::handleKeyset(), casacore::ReadAsciiTable::handleScalar(), ao::uvector< Tp, Alloc >::insert(), casacore::String::insert(), ao::uvector< Tp, Alloc >::insert_from_range(), ao::uvector< Tp, Alloc >::insert_from_range(), ao::uvector< Tp, Alloc >::push_back(), ao::uvector< Tp, Alloc >::push_back_range(), ao::uvector< Tp, Alloc >::push_back_range(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsAlgorithm< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::StatisticsDataset< AccumType, DataIterator, MaskIterator, WeightsIterator >::setData(), casacore::LatticeConcat< T >::setup2(), casacore::aocommon::swap(), casacore::swap(), ao::uvector< Tp, Alloc >::uvector(), and casacore::Vector< LogicalArrayElem >::Vector().

## though

In general though

Definition at line 388 of file malloc.h.